Subject: bug#36747: Official MesCC bootstrap binaries differ from my locally built ones

From: Ludovic Courtès <[email-masked]>
Date: Wed, 21 Aug 2019 23:38:36 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> You can reproduce them with the following command from a git checkout at
> commit 9e6256ba0f32ab12d61c914a3fed879dac881762, which is the tip of the
> 'wip-binaries' branch, based on recent 'master':
>
>   ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
>
> mhw@jojen ~/guix-wip-binaries$ git describe
> v1.0.1-2479-g9e6256ba0f
> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
> /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
> mhw@jojen /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0$ sha256sum *
> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz
>
> Do you get the same results?

I built it on bayfront and got the exact same result:

--8<---------------cut here---------------start------------->8---
ludo@bayfront ~$ ./wip-binaries/bin/guix describe
Generation 1    Aug 18 2019 12:04:54    (current)
  guix 9e6256b
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: wip-binaries
    commit: 9e6256ba0f32ab12d61c914a3fed879dac881762
ludo@bayfront ~$ ./wip-binaries/bin/guix build -s i686-linux bootstrap-tarballs
/gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
ludo@bayfront ~$ (cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0 ; sha256sum *)
3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz
--8<---------------cut here---------------end--------------->8---

(I’m actually surprised Guile is 100% reproducible; ISTR there were
still issues with gensyms in .go files, but maybe I’m wrong.)

So, green light, right?

> To match what 'core-updates-next' expects, it would be good to upload
> the files above, along with digital signatures, to the following new
> directory:
>
>   https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/20190815/

Unless you disagree, I’ll upload these to ftp.gnu.org (not
alpha.gnu.org, but same directory as you wrote) tomorrow.

Thank you, and apologies for the delay!

Ludo’.